container=$(buildah from docker.io/library/httpd:2.4)

# Copy main configuration and PHP-FPM proxy configuration
buildah copy $container "$(dirname "$0")/config/httpd.conf" /usr/local/apache2/conf/httpd.conf
buildah copy $container "$(dirname "$0")/config/php-fpm-proxy.conf" /usr/local/apache2/conf/extra/

# Create a directory for virtual hosts
buildah run $container -- mkdir /usr/local/apache2/conf/vhosts

# Create the user and group that httpd will use
buildah run $container -- groupadd --gid 100000 legulas
buildah run $container -- adduser --no-create-home --uid 100000 --ingroup legulas --disabled-login --disabled-password --gecos "Legulas" legulas

# Finish build
buildah unmount $container
buildah commit $container legulas-httpd
buildah rm $container
