container=$(buildah from docker.io/library/php:7.4-fpm)

PHP_INI_DIR=/usr/local/etc/php

# Pool configuration
buildah copy $container "$(dirname "$0")/config/zz-pool.conf" ${PHP_INI_DIR}/../php-fpm.d/

# Custom PHP configuration
buildah copy $container "$(dirname "$0")/config/zz-php.ini" ${PHP_INI_DIR}/conf.d/

# Create the user and group that php will use
buildah run $container -- groupadd --gid 100000 legulas
buildah run $container -- adduser --no-create-home --uid 100000 --ingroup legulas --disabled-login --disabled-password --gecos "Legulas" legulas

# Set default configuration, then create the socket and source directories
buildah run $container -- mv ${PHP_INI_DIR}/php.ini-development ${PHP_INI_DIR}/php.ini
buildah run $container -- mkdir /var/run/php-fpm
buildah run $container -- chown -R legulas:legulas /var/run/php-fpm
buildah run $container -- chmod -R 770 /var/run/php-fpm
buildah run $container -- mkdir /var/www/source
buildah run $container -- chown -R legulas:legulas /var/www/source
buildah run $container -- chmod -R 770 /var/www/source

# Enable additional extensions
buildah run $container -- apt-get update
buildah run $container -- apt-get install -y libicu-dev
buildah run $container -- docker-php-ext-install pdo_mysql intl

# Finish build
buildah unmount $container
buildah commit $container legulas-php
buildah rm $container
